/*
**      $VER: akccplus_protos.h 37.1 (6.9.96)
**
**      prototypes for akccplus.library
**
**      (C) Copyright 1989-96 Andreas R. Kleinert
**      All Rights Reserved.
*/

#ifndef CLIB_AKCCPLUS_PROTOS_H
#define CLIB_AKCCPLUS_PROTOS_H

#ifndef AKCCPLUS_AKCCPLUS_H
#include <akccplus/akccplus.h>
#endif /* AKCCPLUS_AKCCPLUS_H */

BYTE *AKCC_StoreFile(            UBYTE *name,
                                 ULONG *bytes);
struct DateStruct *AKCC_GetDate( struct DateStamp *dos_rawdate);
long AKCC_WildCmp(               UBYTE *orig,
                                 UBYTE *wild);
long AKCC_Paths(                 UBYTE *name,
                                 UBYTE *rootdir,
                                 UBYTE *dir,
                                 UBYTE *comparename);
long AKCC_CopyFile(              UBYTE *sourcename,
                                 UBYTE *destname);
long AKCC_TestEntry(             UBYTE *entryname);
void AKCC_BStrCpy(               UBYTE *dest,
                                 BSTR bstr,
                                 UBYTE *hangon);
void AKCC_GetName(               BPTR dest,
                                 BPTR fl,
                                 UBYTE *name);
void AKCC_FPrintf(               BPTR outhandle,
                                 UBYTE *text,
                                 APTR pararr);
long AKCC_DelEnv(                UBYTE *var);
long AKCC_ReadEnv(               UBYTE *var,
                                 UBYTE *content);
long AKCC_WriteEnv(              UBYTE *var,
                                 UBYTE *content);
long AKCC_Assign(                UBYTE *ass_name,
                                 UBYTE *ass_path);
void AKCC_UnLineStr(             UBYTE *dest,
                                 UBYTE *source);
long AKCC_AddPathLock(           BPTR lock);
long AKCC_AddPathName(           UBYTE *name);
void AKCC_RemPathName(           UBYTE *name);
void AKCC_ParseText(             UBYTE *orig,
                                 UBYTE *old);
long AKCC_CheckAvailDevice(      UBYTE *dev_name);
long AKCC_SetDate(               struct DateStruct *gd_date);

#endif /* CLIB_AKCCPLUS_PROTOS_H */
